Skip to main content
GET
/
accounting
/
invoices
Get All Invoices
curl --request GET \
  --url https://api.rootfi.dev/v3/accounting/invoices \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/accounting/invoices"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/accounting/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 123,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2024-01-25T09:00:00Z",
      "rootfi_updated_at": "2024-01-25T09:00:00Z",
      "rootfi_company_id": 456,
      "platform_id": "123456_1",
      "platform_unique_id": "123456",
      "currency_id": "123456",
      "contact_id": "123456",
      "total_discount": 100,
      "sub_total": 1000,
      "tax_amount": 100,
      "total_amount": 1100,
      "amount_due": 1100,
      "document_number": "123456",
      "posted_date": "2024-01-25T09:00:00Z",
      "due_date": "2024-01-25T09:00:00Z",
      "memo": "Example Memo",
      "updated_at": "2024-01-25T09:00:00Z",
      "status": "Example Status",
      "currency_rate": 1,
      "sales_order_ids": [
        "123456"
      ],
      "line_items": [
        {
          "rootfi_id": 157,
          "platform_id": "123456",
          "line_item_type": "INVOICES",
          "line_item_type_id": "123456",
          "tracking_category_ids": [
            "123456"
          ],
          "project_id": "123456",
          "item_id": "123456",
          "tax_id": "123456",
          "account_id": "123456",
          "description": "This is a description",
          "quantity": 1,
          "unit_amount": 100,
          "total_amount": 100,
          "sub_total": 100,
          "tax_amount": 100,
          "total_discount": 100,
          "updated_at": "2024-01-22T05:07:31.000Z"
        }
      ]
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
An invoice is an itemized record of goods sold or services provided to a customer.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of objects you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

expand
string | null

Comma separated fields to expand. Supported values are currency, line_items, contact, documents, invoice_payments

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the invoices endpoint

data
accountingInvoiceObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects